function playSawtoothBeep() {
    const audioCtx = new (window.AudioContext || window.webkitAudioContext)();
    const oscillator = audioCtx.createOscillator();
    const gainNode = audioCtx.createGain();

    oscillator.type = "sawtooth"; // Sawtooth wave
    oscillator.frequency.setValueAtTime(440, audioCtx.currentTime); // 440 Hz
    gainNode.gain.setValueAtTime(1, audioCtx.currentTime);

    gainNode.gain.exponentialRampToValueAtTime(0.001, audioCtx.currentTime + 0.5);

    oscillator.connect(gainNode);
    gainNode.connect(audioCtx.destination);

    oscillator.start();
    oscillator.stop(audioCtx.currentTime + 0.5);
}

